Name:       python-colorclass
Version:    1.2.0
Release:    %mkrel 3
Summary:    Python 2 and 3 compatibility utilities
Group:      Development/Python
License:    MIT
URL:        http://pypi.python.org/pypi/colorclass/
Source0:    http://pypi.python.org/packages/source/c/colorclass/colorclass-%{version}.tar.gz
BuildArch:  noarch
BuildRequires: python-devel
BuildRequires: python-setuptools
# For use by selftests:

%description
python-colorclass provides a colorful worry-free console applications
Python 2 and Python 3.

%package -n python3-colorclass
BuildRequires: python3-devel
BuildRequires: python3-setuptools
Summary: %{summary} / Python 3 library

%description -n python3-colorclass
python-colorclass provides a colorful worry-free console applications
Python 2 and Python 3.

%prep
%setup -q -n colorclass-%{version}
cd ..
cp -fr colorclass-%{version} python3
cd -

%build
%{__python} setup.py build
cd ../python3
%{__python3} setup.py build
cd -

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
cd ../python3
%{__python3} setup.py install -O1 --skip-build --root %{buildroot}
cd -

%files
%doc README.rst
%{python_sitelib}/*

%files -n python3-colorclass
%doc README.rst
%{python3_sitelib}/*


%changelog
* Sat Feb 20 2016 umeabot <umeabot> 1.2.0-3.mga6
+ Revision: 971080
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 1.2.0-2.mga6
+ Revision: 889179
- rebuild for python 3.5

* Sat Aug 22 2015 bcornec <bcornec> 1.2.0-1.mga6
+ Revision: 867979
- Update again deps for python-colorclass
- Improve deps for python-colorclass
- Improve deps for python-colorclass
- Import python colorclass
- Created package structure for python-colorclass.

